public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/denemo/
Date: Thu, 24 Mar 2022 12:46:44 +0000 (UTC)	[thread overview]
Message-ID: <1648125999.a2118619713daeeb2bd09c587b6caf4e162f6cc4.juippis@gentoo> (raw)

commit:     a2118619713daeeb2bd09c587b6caf4e162f6cc4
Author:     Bernd Waibel <waebbl-gentoo <AT> posteo <DOT> net>
AuthorDate: Sat Mar 19 08:55:28 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Mar 24 12:46:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2118619

media-sound/denemo: bump to 2.6.0

Disabling fluidsynth has an issue when linking the denemo binary, so
we enable this by default for now.

Closes: https://bugs.gentoo.org/835600
Bug: https://savannah.gnu.org/bugs/index.php?62202
Signed-off-by: Bernd Waibel <waebbl-gentoo <AT> posteo.net>
Closes: https://github.com/gentoo/gentoo/pull/24654
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-sound/denemo/Manifest            |   1 +
 media-sound/denemo/denemo-2.6.0.ebuild | 124 +++++++++++++++++++++++++++++++++
 2 files changed, 125 insertions(+)

diff --git a/media-sound/denemo/Manifest b/media-sound/denemo/Manifest
index e7896553c538..f134b8dd77d5 100644
--- a/media-sound/denemo/Manifest
+++ b/media-sound/denemo/Manifest
@@ -1 +1,2 @@
 DIST denemo-2.5.0.tar.gz 17454004 BLAKE2B 66e2b35fc73819f40c0376150c42d135840f5709a70b7b7a2847264191fc1f66b62b312a85984a01d6a0c265fdc55492b9f1ce5d7680bfccd8ec44919bfa177f SHA512 9b9edaf02b243bc5ed9680ea998a6ee78e5167e395f4805ee8ceffad709c95eb964dcede69a039080fde4e9720e880a13f23c13bd4bd22266eb2352912f49c1e
+DIST denemo-2.6.0.tar.gz 17620623 BLAKE2B 55d142954834332a4bd5ca89125411181521d53f1a552b1397b16bbc51803cac3bc4eb0ffb309ababe2ad1b554e293d23102383aba95cde1cbb18cc96f9c6203 SHA512 9069c973624f05b53c62e5d8a9db5c2b4835ce3465402544d6a9f2a7d3bd617d79ac35c83940b37842a7a147bc2ee44ef33202bf7c107e739bfa303ffcf19738

diff --git a/media-sound/denemo/denemo-2.6.0.ebuild b/media-sound/denemo/denemo-2.6.0.ebuild
new file mode 100644
index 000000000000..864fc5e8a59e
--- /dev/null
+++ b/media-sound/denemo/denemo-2.6.0.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools eapi8-dosym font xdg
+
+DESCRIPTION="A music notation editor"
+HOMEPAGE="http://www.denemo.org/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+ OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# configure options currently not used:
+# --enable-mem(no) memory debugging: needs Electric fence (efence), which
+#		is not available in portage. See https://github.com/boundarydevices/efence
+# --enable-gtk-doc-pdf(no) doesn't work
+# fluidsynth currently broken. See https://savannah.gnu.org/bugs/index.php?62202
+IUSE="alsa +aubio debug jack gtk-doc nls +portaudio +portmidi
+	+rubberband test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=app-text/evince-3.22.1-r1:=
+	dev-libs/libxml2:2
+	>=dev-scheme/guile-2:12=
+	gnome-base/librsvg:2
+	media-libs/fontconfig:1.0
+	>=media-libs/libsmf-1.3
+	>=media-libs/libsndfile-1.0.28-r1
+	>=media-sound/fluidsynth-1.1.6-r1:=
+	>=media-sound/lilypond-2.19.54
+	x11-libs/gtk+:3
+	x11-libs/gtksourceview:3.0=
+	alsa? ( >=media-libs/alsa-lib-1.1.2 )
+	aubio? ( >=media-libs/aubio-0.4.1-r1:= )
+	jack? ( virtual/jack )
+	portaudio? (
+		>=media-libs/portaudio-19_pre20140130
+		sci-libs/fftw:3.0=
+	)
+	portmidi? ( >=media-libs/portmidi-217-r1 )
+	rubberband? ( >=media-libs/rubberband-1.8.1-r1 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	>=dev-util/gtk-doc-am-1.25-r1
+	>=dev-util/intltool-0.51.0-r1
+	>=sys-devel/flex-2.6.1
+	virtual/pkgconfig
+	virtual/yacc
+	gtk-doc? ( >=dev-util/gtk-doc-1.25-r1 )
+	nls? ( >=sys-devel/gettext-0.19.8.1 )
+"
+
+DOCS=( AUTHORS ChangeLog docs/{DESIGN{,.lilypond},GOALS,TODO} NEWS )
+
+src_prepare() {
+	sed -e '/^Categories=/s/GNOME\;/GNOME\;GTK\;/' -i pixmaps/org.denemo.Denemo.desktop || die
+	sed -e 's|appdatadir = \$(datarootdir)/appdata|appdatadir = \$(datarootdir)/metainfo|' \
+		-i Makefile.am || die
+	default
+	eautoreconf
+}
+
+src_configure() {
+	myeconfargs=(
+		--disable-gtk-doc-pdf
+		--disable-gtk2
+		--disable-installed-tests
+		--disable-mem
+		--disable-rpath
+		--disable-static
+		--enable-evince
+		--enable-fluidsynth
+		--enable-gtk3
+		--enable-x11
+		$(use_enable alsa)
+		$(use_enable aubio)
+		$(use_enable debug)
+		# --enable-doc does nothing for itself
+		# basic html documentation is always being installed in the
+		# /usr/share/denemo/manual directory
+		$(use_enable gtk-doc doc)
+		$(use_enable gtk-doc gtk-doc)
+		$(use_enable gtk-doc gtk-doc-html)
+		$(use_enable jack)
+		$(use_enable nls)
+		$(use_enable portaudio)
+		$(use_enable portmidi)
+		$(use_enable rubberband)
+		$(use_enable test always-build-tests)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_test() {
+	# make check fails if used with parallel builds
+	emake -j1 check
+}
+
+src_install() {
+	default
+
+	# link html documentation installed in /usr/share/denemo/manual
+	dodir /usr/share/doc/${PF}/html
+	local f
+	for f in denemo-manual.html denemo.css images; do
+		dosym8 -r /usr/share/denemo/manual/"${f}" /usr/share/doc/${PF}/html/"${f}"
+	done
+}
+
+pkg_postinst() {
+	font_pkg_postinst
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	font_pkg_postrm
+	xdg_desktop_database_update
+}


             reply	other threads:[~2022-03-24 12:46 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-24 12:46 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-12  7:07 [gentoo-commits] repo/gentoo:master commit in: media-sound/denemo/ Joonas Niilola
2024-01-11  9:38 Sam James
2023-04-29  6:06 Sam James
2023-02-28 13:58 Joonas Niilola
2022-10-18  2:36 Sam James
2022-10-18  2:31 Sam James
2022-06-03 10:18 Joonas Niilola
2022-06-03 10:18 Joonas Niilola
2022-03-24 12:46 Joonas Niilola
2022-01-24  9:25 Jakov Smolić
2022-01-24  9:25 Jakov Smolić
2021-11-12 13:04 Joonas Niilola
2021-05-19 17:25 Sam James
2021-05-19 17:22 Sam James
2021-04-13  7:51 Joonas Niilola
2021-04-11 11:11 Sam James
2021-04-11  0:13 Thomas Deutschmann
2021-02-07 17:07 Conrad Kostecki
2020-03-21 18:56 Andreas Sturmlechner
2020-02-16 14:53 Andreas Sturmlechner
2020-02-16 14:51 Andreas Sturmlechner
2019-12-16  9:40 Miroslav Šulc
2018-04-20 19:45 David Seifert
2016-02-11  0:48 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1648125999.a2118619713daeeb2bd09c587b6caf4e162f6cc4.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox